Bug 1612850 - Proprietary include/GL/glu.h in OpenGL-0.70.tar.gz
Summary: Proprietary include/GL/glu.h in OpenGL-0.70.tar.gz
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-OpenGL
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://sourceforge.net/p/pogl/bugs/27/
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2018-08-06 12:17 UTC by Petr Pisar
Modified: 2019-11-01 13:31 UTC (History)
4 users (show)

Fixed In Version: perl-OpenGL-0.7000-12.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-01 13:31:45 UTC


Attachments (Terms of Use)

Description Petr Pisar 2018-08-06 12:17:53 UTC
include/GL/glu.h file in OpenGL-0.70.tar.gz archive reads:

** Copyright 1991-1993, Silicon Graphics, Inc.
** All Rights Reserved.
** 
** This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
** the contents of this file may not be disclosed to third parties, copied or
** duplicated in any form, in whole or in part, without the prior written
** permission of Silicon Graphics, Inc.

That means Fedora cannot distribute the file. Fortunately the file is not needed for building and running. Until upstream fixes this issue I recommend repackaging the OpenGL-0.70.tar.gz archive without the file, uploading the new archive to dist-git look-aside cache, rebuilding the package in all Fedoras and requesting relengs to remove the old OpenGL-0.70.tar.gz file from the look-aside cache and old source RPMs from Fedora infrastructure and mirrors.

Comment 1 Jan Kurik 2018-08-14 08:38:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Ben Cotton 2019-10-31 21:10:47 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.